Subject: [Dhcpv6bis] 7/6 call agenda and status of draft-ietf-dhc-rfc3315bis - minutes

From: Tomek Mrugalski <[email-masked]>
Date: Wed, 6 Jul 2016 15:47:47 +0200

Hi,

These are the minutes I managed to capture. We used jitsi this time. We
had some problems (Tomek and Tim couldn't hear each other, while Marcin
and Andrew heard both of us), but after couple rejoins it was managelable.

Attendees:
Andrew
Marcin
Tim
Tomek

Nobody had any outstanding issues, so it seems we will go with -05 for
last call. There are two new tickets (#164 and #165), but they're small
and we can deal with them during WGLC.

We talked about the presentation plan. We will start by going through
the document and explain the structure. One proposal was to simply open
up the doc and go through it, but Marcin suggested that it would be
better to have something that would leave a trace. Something people
could come back to later. From that perspective it seems that the slides
we're going to prepare will start with copy-paste of the table of contents.

Tomek explained that the plan is to start 4 weeks long WGLC and everyone
seems to be OK with that.

We reached a conclusion that we will also present major changes. The
changelog in appendix A currently has 74 entries and we plan to go
through the more important ones, maybe around 40 of them. Marcin pointed
out that we need some preparatory work for this and Tomek volunteered to
take the initial action on this.

Tim, Marcin and Tomek signed up for preparing couple slides about the
changes we did. Andrew is busy with his day job and mentioned that
Bernie may be unavailable, too. Tomek and Bernie will discuss later
today and we will find out how to split the work.

We decided to have a short meeting (20-30 minutes) in Berlin some time
before DHC to go through the slides and do last minute changes to the
slide deck.

Tomek

On 27.06.2016 15:23, Bernie Volz (volz) wrote:
>
> Hi:
>
>  
>
> Tomek published the 05 version of the document, and sent out a note
> about it to the DHC WG.
>
>  
>
> We have a co-authors call scheduled for 0800 EDT Wednesday 7/6.
>
>  
>
> *Please indicate if you are NOT able to attend this call.*
>
>  
>
> The plan (and agenda for 7/6 call) is:
>
> 1.       Between now and the 7/6 call, anything you can do to review
> the 05 document would be greatly appreciated.
>
> a.       For minor issues, update the XML.
>
> b.      For major issues, please either open a ticket or send email to
> the team so we can discuss and resolve at the call on 7/6.
>
> 2.       During the 7/6 call, we will determine whether the 05 is good
> to go, or whether an 06 is needed (we need to publish by the 7/8
> deadline).
>
> 3.       We will discuss whether to start the WGLC (with the 05 or
> 06). Tomek and I feel best to do a 4 week last call so that it will
> end 2 weeks after the IETF meeting.
>
> 4.       We should also discuss what to present to the DHC WG at the
> Berlin meeting. We could do nothing or do a walkthrough of the
> document highlighting the areas of change (which might help to
> encourage reviews).
>
> 5.       And finally (?), we can discuss whether to meet in Berlin
> (before the DHC WG) – such as to finalize anything we want to present
> regarding the document.
>
>  
>
> -          Bernie
>
>  
>
> Reminder regarding the call:
>
>  
>
> We will meet in the Jitsu room: https://jitsi.tools.ietf.org/dhcpv6
>
> However, the WebEx below is a backup if we can’t all meet.
>
>
>  
> Join me now in my Personal Room. 
>  
> Join WebEx meeting 
> https://cisco.webex.com/join/volz   |  207 497 612  
>  
> Join by phone 
> +1-408-525-6800 Call-in toll number (US/Canada) 
> +1-866-432-9903 Call-in toll-free number (US/Canada) 
> Access code: 207 497 612 
> Global call-in numbers
> <https://ciscosales.webex.com/cmp3100/webcomponents/widget/globalcallin/globalcallin.do?siteurl=ciscosales&serviceType=MC&ED=303966212&tollFree=1>  |  Toll-free
> calling restrictions
> <https://www.webex.com/pdf/tollfree_restrictions.pdf>  
>
>
>
> _______________________________________________
> Dhcpv6bis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcpv6bis

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 6 Jul 2016 14:29:53 +0000

Thanks Tomek and sorry I missed it (totally spaced it).

I should be available to work on preparing (some) of the materials.

I think we’ll nee more than 20-30 minutes to finalize this before the IETF DHC WG session on Wed; but it may depend on how much is done beforehand.

I do think I would want a Powerpoint presentation so that the material is kept around (as part of the proceedings) as it could be useful for people to review.

My thought on this is something like the following:

  1.  Remind people what the goal of this work was. Merge 3315 + 3363, incorporate errata, incorporate other “core” protocol documents (i.e., 7083) address some issues (RFC7550). It was NOT to merge all DHCPv6 related documents into one.
  2.  Highlight the major changes:
     *   Adding the PD. This required changes throughout – introductory material, “leases” instead of “addresses”, …
     *   Reworking the client/server processing sections. This is probably the KEY area people should look at. 3315 sections 17, 18, 19 with new section 17.
     *   Incorporating RFC 7550 (mostly in new section 17)
     *   Removing Delayed Authentication Protocol (leaving only the Reconfigure Key Authentication Protocol).
     *   Expanding Security/Privacy Considerations
  3.  Minor changes:
     *   Expanded intro & overview. (section 1)
     *   Expanded terminology (I.e., leases) (section 4)
     *   Adding an operational Models section (section 5).
     *   Referenced DUID-UUID RFC (section 10)
     *   Adding rate limiting and notes on t1/t2=0 times (section 13.1/13.2)
     *   Added PD selection (section 16.2)
     *   Added IA_PD, IAPREFIX, SOL_MAX_RT, INF_MAX_RT, and Information Refresh time options (section 20)

We could request a room during IETF to finalize this or just plan to meet somewhere (I will be staying at the main IETF hotel so we could always meet in my room).

- Bernie

From: Dhcpv6bis <[email-masked]<mailto:[email-masked]>> on behalf of Tomek Mrugalski <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, July 6, 2016 at 9:47 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [Dhcpv6bis] 7/6 call agenda and status of draft-ietf-dhc-rfc3315bis - minutes

Hi,

These are the minutes I managed to capture. We used jitsi this time. We had some problems (Tomek and Tim couldn't hear each other, while Marcin and Andrew heard both of us), but after couple rejoins it was managelable.

Attendees:
Andrew
Marcin
Tim
Tomek

Nobody had any outstanding issues, so it seems we will go with -05 for last call. There are two new tickets (#164 and #165), but they're small and we can deal with them during WGLC.

We talked about the presentation plan. We will start by going through the document and explain the structure. One proposal was to simply open up the doc and go through it, but Marcin suggested that it would be better to have something that would leave a trace. Something people could come back to later. From that perspective it seems that the slides we're going to prepare will start with copy-paste of the table of contents.

Tomek explained that the plan is to start 4 weeks long WGLC and everyone seems to be OK with that.

We reached a conclusion that we will also present major changes. The changelog in appendix A currently has 74 entries and we plan to go through the more important ones, maybe around 40 of them. Marcin pointed out that we need some preparatory work for this and Tomek volunteered to take the initial action on this.

Tim, Marcin and Tomek signed up for preparing couple slides about the changes we did. Andrew is busy with his day job and mentioned that Bernie may be unavailable, too. Tomek and Bernie will discuss later today and we will find out how to split the work.

We decided to have a short meeting (20-30 minutes) in Berlin some time before DHC to go through the slides and do last minute changes to the slide deck.

Tomek

Tomek published the 05 version of the document, and sent out a note about it to the DHC WG.

Please indicate if you are NOT able to attend this call.

1.       Between now and the 7/6 call, anything you can do to review the 05 document would be greatly appreciated.

b.      For major issues, please either open a ticket or send email to the team so we can discuss and resolve at the call on 7/6.

2.       During the 7/6 call, we will determine whether the 05 is good to go, or whether an 06 is needed (we need to publish by the 7/8 deadline).

3.       We will discuss whether to start the WGLC (with the 05 or 06). Tomek and I feel best to do a 4 week last call so that it will end 2 weeks after the IETF meeting.

4.       We should also discuss what to present to the DHC WG at the Berlin meeting. We could do nothing or do a walkthrough of the document highlighting the areas of change (which might help to encourage reviews).

5.       And finally (?), we can discuss whether to meet in Berlin (before the DHC WG) – such as to finalize anything we want to present regarding the document.

-          Bernie

Join WebEx meeting

Join by phone
+1-408-525-6800 Call-in toll number (US/Canada)
+1-866-432-9903 Call-in toll-free number (US/Canada)
Access code: 207 497 612
Global call-in numbers<https://ciscosales.webex.com/cmp3100/webcomponents/widget/globalcallin/globalcallin.do?siteurl=ciscosales&serviceType=MC&ED=303966212&tollFree=1>  |  Toll-free calling restrictions<https://www.webex.com/pdf/tollfree_restrictions.pdf>

_______________________________________________
Dhcpv6bis mailing list
[email-masked]<mailto:[email-masked]>https://www.ietf.org/mailman/listinfo/dhcpv6bis